Serious Security Hole Found In Adobe Flash 10.3

Adobe_Flash

Adobe had issued a importance notice for all Adobe Flash 10.3 users about the security hole discovered in it.

The vulnerability  is found in Adobe Flash Player 10.3.181.16 and earlier versions for Windows, Macintosh, Linux and Solaris, and Adobe Flash Player 10.3.185.22 and earlier versions for Android.

According Adobe to Adobe this is an universal cross-site scripting and it will affect your emails and other applications on your system.

Solution :-

Adobe has released update for Windows, Macintosh, Linux, Solaris and Android,You can download update From Here,

Android users can download it via Android Market.

Some handpicked devices for you